#extension GL_OES_EGL_image_external : require

precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D uTexture;
uniform mat3 convertMatrix;
uniform vec3 offset;

void main()
{
    highp vec3 yuvColor;
    highp vec3 rgbColor;

    // Get the YUV values
    yuvColor.x = texture2D(inputImageTexture, textureCoordinate).r;
    yuvColor.y = texture2D(uTexture, vec2(textureCoordinate.x * 0.5, textureCoordinate.y * 0.5)).r;
    yuvColor.z = texture2D(uTexture, vec2(textureCoordinate.x * 0.5, textureCoordinate.y * 0.5 + 0.5)).r;

    // Do the color transform
    yuvColor += offset;
    rgbColor = convertMatrix * yuvColor;

    gl_FragColor = vec4(rgbColor, 1.0);
}