uniform mat4 uMVPMatrix;
uniform mat4 textureTransform;
attribute vec4 vPosition;
attribute vec4 vTexCoordinate;
//varying vec2 textureCoordinate;
varying vec2 v_TexCoordinate;
const int GAUSSIAN_SAMPLES = 9; // 被参考的点数目。
//const float wOffset = 0.00390625f; // 水平方向单位偏移。Offset 越大结果越模糊。
//const float hOffset = 0.00390625f; // 垂直方向单位偏移。Offset 越大结果越模糊。
const float wOffset = 0.002; // 水平方向单位偏移。Offset 越大结果越模糊。
const float hOffset = 0.002; // 垂直方向单位偏移。Offset 越大结果越模糊。
varying vec2 blurCoordinates[GAUSSIAN_SAMPLES];
void main()
{
    v_TexCoordinate = (textureTransform * vTexCoordinate).xy;
    gl_Position = uMVPMatrix * vPosition;
    //gl_Position = vPosition;
    //textureCoordinate = vTexCoordinate.xy;
    int multiplier = 0;
    vec2 blurStep;
    vec2 singleStepOffset = vec2(hOffset, wOffset);
    for (int i = 0; i < GAUSSIAN_SAMPLES; i++)
    {
        multiplier = (i - ((GAUSSIAN_SAMPLES - 1) / 2));
        blurStep = float(multiplier) * singleStepOffset;
        blurCoordinates[i] = v_TexCoordinate.xy + blurStep;
    }
}
