precision highp float;
varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform lowp float xStart;
uniform lowp float xEnd;
uniform lowp float yStart;
uniform lowp float yEnd;
uniform lowp float myAlpha;
uniform lowp float outsideAlpha;

void main(){
    //gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
	lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);

	float alphaTemp = outsideAlpha;
	if(textureCoordinate.x >= xStart && textureCoordinate.x <= xEnd && textureCoordinate.y >= yStart && textureCoordinate.y <= yEnd){
		alphaTemp = myAlpha;
	}
	gl_FragColor = vec4(textureColor.rgb * alphaTemp, textureColor.a * alphaTemp);

}